const OracleService = require('../service/OracleService');

class InsereExtratoConstModel {
  constructor() {
    this.STATEMENT = `
      INSERT INTO EXTRATOCONS
        (:P_COLUMNS)
      VALUES
        (:P_VALUES)
    `;
  }

  execute(columns, values, params) {
    let statement = this.STATEMENT.replace(':P_COLUMNS', columns);
    statement = statement.replace(':P_VALUES', values);

    return OracleService.connect().then(() => OracleService.execute(statement, params));
  }
}

module.exports = new InsereExtratoConstModel();
