function getMaxMinRows(page, limit) {
  if (!page || !limit) {
    return null;
  }

  const pageStr = parseInt(page, 10);
  const limitStr = parseInt(limit, 10);
  const pageOffSet = (pageStr - 1) * limitStr;

  return {
    minRow: pageOffSet + 1,
    maxRow: pageOffSet + limitStr,
  };
}

module.exports = getMaxMinRows;
