const express = require('express');

const app = express();

const setupMiddleware = require('./middleware');
const setupRoutes = require('./routes');
const setupDist = require('./dist');

setupMiddleware(app, express);
setupRoutes(app);
setupDist(app, express);

module.exports = app;