const OracleService = require('../service/OracleService');

class acmApagaSangriaDupModel {
  constructor() {
    this.GET_ACMAPAGASANGRIADUP = `
            BEGIN
            FOR MOVCAIXA_DUP IN
              (SELECT M.NRSEQUMOVI, M.CDFILIAL, M.CDCAIXA, M.DTABERCAIX, M.CDTIPORECE, M.VRMOVIVEND, M.IDTIPOMOVIVE, M.DTHRINCMOV, M.DTMOVIMCAIXA
            FROM MOVCAIXA M
            WHERE DTMOVIMCAIXA >= TIMESTAMP :P_DTMOVIMCAIXA
            AND CDFILIAL = :P_CDFILIAL
            AND CDCAIXA  = :P_CDCAIXA
            AND NRSEQVENDA IS NULL
            AND DSMOVIVEND IS NULL
            AND IDTIPOMOVIVE IN ('A','G','U')
            AND EXISTS (SELECT 1
              FROM MOVCAIXA
             WHERE CDFILIAL = M.CDFILIAL
               AND CDCAIXA = M.CDCAIXA
               AND DTABERCAIX = M.DTABERCAIX
               AND DTHRINCMOV = M.DTHRINCMOV
               AND IDTIPOMOVIVE = M.IDTIPOMOVIVE
               AND CDTIPORECE = M.CDTIPORECE
               AND VRMOVIVEND = M.VRMOVIVEND
               AND NRSEQUMOVI <> M.NRSEQUMOVI)
            MINUS
              SELECT MIN(M.NRSEQUMOVI) AS NRSEQUMOVI, M.CDFILIAL, M.CDCAIXA, M.DTABERCAIX, M.CDTIPORECE, M.VRMOVIVEND, M.IDTIPOMOVIVE, M.DTHRINCMOV, M.DTMOVIMCAIXA
            FROM MOVCAIXA M
            WHERE DTMOVIMCAIXA >= TIMESTAMP :P_DTMOVIMCAIXA
            AND CDFILIAL = :P_CDFILIAL
            AND CDCAIXA  = :P_CDCAIXA
            AND NRSEQVENDA IS NULL
            AND DSMOVIVEND IS NULL
            AND IDTIPOMOVIVE IN ('A','G','U')
            AND EXISTS (SELECT 1
              FROM MOVCAIXA
             WHERE CDFILIAL = M.CDFILIAL
               AND CDCAIXA = M.CDCAIXA
               AND DTABERCAIX = M.DTABERCAIX
               AND DTHRINCMOV = M.DTHRINCMOV
               AND IDTIPOMOVIVE = M.IDTIPOMOVIVE
               AND CDTIPORECE = M.CDTIPORECE
               AND VRMOVIVEND = M.VRMOVIVEND
               AND NRSEQUMOVI <> M.NRSEQUMOVI)
              GROUP BY M.CDFILIAL, M.CDCAIXA, M.DTABERCAIX, M.CDTIPORECE, M.VRMOVIVEND, M.IDTIPOMOVIVE, M.DTHRINCMOV, M.DTMOVIMCAIXA
            ORDER BY 2, 3, 4, 5) LOOP
            DELETE FROM MOVCAIXA 
            WHERE CDFILIAL = MOVCAIXA_DUP.CDFILIAL
            AND CDCAIXA = MOVCAIXA_DUP.CDCAIXA
            AND DTMOVIMCAIXA = MOVCAIXA_DUP.DTMOVIMCAIXA
            AND DTABERCAIX = MOVCAIXA_DUP.DTABERCAIX
            AND NRSEQUMOVI = MOVCAIXA_DUP.NRSEQUMOVI;
            END LOOP;
            END;
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMAPAGASANGRIADUP, params);
    });
  }
}

module.exports = new acmApagaSangriaDupModel();
