
const OracleService = require('../service/OracleService')

class adqMinDtUltAtuExtModel {
    constructor() {
        this.GET_ADQMINDTULTATUEXT = `
            SELECT
               MIN(DTULTATUEXT) AS DTULTATUEXT
            FROM
               EXTRATOCONS
            WHERE
                 (DTULTATUEXT > TIMESTAMP :P_DTULTATUEXT) OR (DTULTATUEXT IS NULL AND SYSDATE > TIMESTAMP :P_DTULTATUEXT)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQMINDTULTATUEXT, params);
        })
    }
}  

module.exports = new adqMinDtUltAtuExtModel();